function h5filename, dir, typ, num, chk, check_if_exist = c

  if (size(dir, /type) ne 7) then $
    message, 'First argument (file directory) should be a STRING!'

  if ((strlen(dir) - 1) ne strpos(dir, '/', /reverse_search)) then dir = dir + '/'

  if (size(typ, /type) ne 7) then $
    message, 'Second argument (filetype) should be a STRING!'

  if (strlen(typ) ne 1) then $
    message, 'Second argument (filetype) should be a character (length == 1)!'

  if (size(num, /type) ne 2 and size(num, /type) ne 3) then $
    message, 'Third argument (file number) should be an INTEGER of LONG!'

  if (size(chk, /type) ne 2 and size(num, /type) ne 3) then $
    message, 'Third argument (file number) should be an INTEGER of LONG!'

  filename = dir + typ + string(num, format="(i6.6)") + '_' + string(chk, format="(i3.3)") + '.h5'

  if (keyword_set(c) and not file_test(filename)) then begin
    message, filename + ' does not exist!', /continue
  endif

  return, filename
end